Skip to content

getAccountLedger

READ

Get account ledger.

POST /api/v1/accounting/getAccountLedger
curl -X POST '<your-host>/api/v1/accounting/getAccountLedger' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountId": "string",
    "startDate": "string",
    "endDate": "string",
    "limit": 0,
    "offset": 0
  }'
Response
{
  "results": [
    {
      "id": "string",
      "journalId": "string",
      "accountId": "string",
      "amount": 0,
      "quantity": 0,
      "accrual": true,
      "description": "string",
      "documentType": "Payment",
      "documentId": "string",
      "documentLineReference": "string",
      "externalDocumentId": "string",
      "intercompanyPartnerId": "string",
      "journalLineReference": "string",
      "companyId": "string",
      "customFields": "…",
      "tags": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "postingDate": "string",
      "journalEntryId": "string",
      "status": "Draft",
      "sourceType": "Payment",
      "journalDescription": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "accountId": {
      "type": "string"
    },
    "companyIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "startDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "endDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "limit": {
      "type": "number"
    },
    "offset": {
      "type": "number"
    }
  },
  "required": [
    "accountId",
    "startDate",
    "endDate",
    "limit",
    "offset"
  ]
}